Name:           kdesvn
Version:        1.7.0
Release:        1%{?dist}
Summary:        subversion client for KDE

Group:          Development/Tools
License:        GPLv2+
URL:            https://projects.kde.org/projects/extragear/sdk/kdesvn
Source0:        http://download.kde.org/stable/kdesvn/%{version}/kdesvn-%{version}.tar.xz

BuildRequires:  subversion-devel, kdelibs-devel, neon-devel, cmake, gettext
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:      kdesvn-devel < 1.6.0-10


%description
KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
cd %{_target_platform}
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%{cmake_kde4} .. \
       -DCMAKE_BUILD_TYPE=Release
make VERBOSE=1 %{?_smp_mflags}


%install
pushd %{_target_platform}
make install VERBOSE=1 DESTDIR=$RPM_BUILD_ROOT
popd

# libsvnqt is not public (and is static), so don't ship it
rm -r $RPM_BUILD_ROOT%{_libdir}/libsvnqt.a

# Desktop file
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
       --vendor=fedora \
%endif
       --add-category=Application \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
       $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop
%find_lang %{name} --with-man
%find_lang %{name}askpass --with-man

#Don't conflict with kdesdk
rm $RPM_BUILD_ROOT%{_datadir}/kde4/services/svn*.protocol


%post
/sbin/ldconfig
xdg-icon-resource forceupdate --theme hicolor

%postun
/sbin/ldconfig
xdg-icon-resource forceupdate --theme hicolor


%files -f %{name}.lang -f %{name}askpass.lang
%doc AUTHORS ChangeLog COPYING GPL.txt
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde4/*
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
%{_datadir}/applications/kde4/fedora-%{name}.desktop
%else
%{_datadir}/applications/kde4/%{name}.desktop
%endif
%{_datadir}/kde4/apps/kconf_update/
%{_datadir}/kde4/apps/kdesvn/
%{_datadir}/kde4/apps/kdesvnpart/
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kdesvnd.xml
%{_datadir}/doc/HTML/*/kdesvn/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/kde4/services/*
%{_datadir}/svnqt
%{_mandir}/man1/kdesvn*.1*


%changelog
* Thu Feb 4 2016 Orion Poplawski <orion@cora.nwra.com> - 1.7.0-1
- Update to 1.7.0
- Drop devel sub-package - libsvnqt is now a private API

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6.0-7
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.6.0-3
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 6 2012 Orion Poplawski <orion@cora.nwra.com> - 1.6.0-1
- Update to 1.6.0
- Drop kdex, virtual, and gcc47 patches applied upstream

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Orion Poplawski <orion@cora.nwra.com> - 1.5.5-5
- Add patch to fix offending virtual inheritance
- Add patch to compile with gcc 4.7

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.5.5-2
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Orion Poplawski <orion@cora.nwra.com> - 1.5.5-1
- Update to 1.5.5

* Tue Aug 24 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.5.4-1
- Update to 1.5.4

* Thu Jul 8 2010 Orion Poplawski <orion@cora.nwra.com> - 1.5.3-2
- Add patch to update kdex.dtd title, fixes FTBS bug 599983

* Fri Apr 09 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.5.3-1
- Update to 1.5.3

* Mon Feb 22 2010 Orion Poplawski <orion@cora.nwra.com> - 1.5.2-1
- Update to 1.5.2

* Mon Jan 18 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Mon Jan 11 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Thu Oct 01 2009 Jaroslav Reznik <jreznik@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Mon Aug 10 2009 Jaroslav Reznik <jreznik@redhat.com> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Orion Poplawski <orion@cora.nwra.com> - 1.3.2-1
- Update to 1.3.2

* Fri Apr 24 2009 Orion Poplawski <orion@cora.nwra.com> - 1.3.0-1
- Update to 1.3.0

* Wed Mar 4 2009 Orion Poplawski <orion@cora.nwra.com> - 1.2.4-1
- Update to 1.2.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Orion Poplawski <orion@cora.nwra.com> - 1.2.3-1
- Update to 1.2.3

* Mon Nov 24 2008 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-1
- Update to 1.2.2
- Drop upstreamed patches

* Fri Oct 3 2008 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-1
- Update to 1.2.1

* Mon Sep 29 2008 Orion Poplawski <orion@cora.nwra.com> - 1.2.0-0.20080926.1
- Update to 1.2.0.20080926, KDE4 version

* Mon Sep 29 2008 Orion Poplawski <orion@cora.nwra.com> - 1.0.2-1
- Update to 1.0.2
- Add BR sqlite-devel needed for Qt3 build

* Thu Aug 7 2008 Orion Poplawski <orion@cora.nwra.com> - 1.0.0-1
- Update to 1.0.0
- Drop png patch applied upstream
- Update asneeded patch
- Handle multiple languages

* Tue Jul 15 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.6-1
- Update to 0.14.6

* Mon May 19 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.4-1
- Update to 0.14.4

* Tue May 6 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.3-1
- Update to 0.14.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.14.1-4
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-3
- BuildRequires: kdelibs-devel -> kdelibs3-devel

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-2
- Rebuild for new openssl/openldap

* Mon Nov 19 2007 Orion Poplawski <orion@cora.nwra.com> - 0.14.1-1
- Update to 0.14.1
- Link libsvnqt.so with --as-needed
- Add patch to fix bug #388821 (dangling symlinks)

* Mon Sep  3 2007 Joe Orton <jorton@redhat.com> 0.13.0-4
- rebuild for fixed 32-bit APR (#254241)

* Tue Aug 28 2007 Orion Poplawski <orion@cora.nwra.com> - 0.13.0-3
- Rebuild for new expat

* Tue Aug 21 2007 Orion Poplawski <orion@cora.nwra.com> - 0.13.0-2
- Rebuild for BuildID

* Wed Aug  8 2007 Orion Poplawski <orion@cora.nwra.com> - 0.13.0-1
- Update to 0.13.0
- Update License tag to GPLv2+

* Wed Jun 13 2007 Orion Poplawski <orion@cora.nwra.com> - 0.12.1-1
- Update to 0.12.1
- Remove index.cache hacks fixed upstream

* Mon Apr 16 2007 Orion Poplawski <orion@cora.nwra.com> - 0.11.2-3
- Remove no longer needed .so permission fix

* Fri Apr 06 2007 Orion Poplawski <orion@cora.nwra.com> - 0.11.2-2
- Use %%cmake macro
- Fix shared library permissions

* Mon Mar 26 2007 Orion Poplawski <orion@cora.nwra.com> - 0.11.2-1
- Update to 0.11.2
- Install a prebuilt en_index.cache.bz2 to fix multilib (bug #228370)

* Wed Nov  1 2006 Orion Poplawski <orion@cora.nwra.com> - 0.11.0-1
- Update to 0.11.0

* Wed Oct  4 2006 Orion Poplawski <orion@cora.nwra.com> - 0.10.0-1
- Update to 0.10.0

* Tue Oct  3 2006 Orion Poplawski <orion@cora.nwra.com> - 0.9.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Orion Poplawski <orion@cora.nwra.com> - 0.9.3-1
- Update to 0.9.3
- Remove patch applied upstream

* Fri Sep  1 2006 Orion Poplawski <orion@cora.nwra.com> - 0.9.2-1
- Update to 0.9.2, uses cmake
- Add patch from Rajko Albrecht to fix lib64 installs

* Thu Jul 27 2006 Orion Poplawski <orion@cora.nwra.com> - 0.9.1-1
- Update to 0.9.1, should fix bug #185165

* Mon Jun  5 2006 Orion Poplawski <orion@cora.nwra.com> - 0.8.4-1
- Update to 0.8.4

* Wed Mar  8 2006 Orion Poplawski <orion@cora.nwra.com> - 0.7.4-1
- Update to 0.7.4

* Mon Feb 13 2006 Orion Poplawski <orion@cora.nwra.com> - 0.7.3-2
- Rebuild for gcc/glibc changes

* Wed Feb  1 2006 Orion Poplawski <orion@cora.nwra.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2006 Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Update to 0.7.2
- Remove gcc41 patch fixed upstream
- Remove apr-1-config and apu-1-config args - fixed upstream
- Drop srcver - bad idea

* Fri Dec 16 2005 Orion Poplawski <orion@cora.nwra.com> - 0.7.1-3
- Add missing files not detected by mock
- Add patch to fix gcc41 compile error

* Tue Dec 13 2005 Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Specify apr-1-config and apu-1-config to configure

* Fri Dec  9 2005 Orion Poplawski <orion@cora.nwra.com> - 0.7.1-1
- New upstream version 0.7.1

* Sun Nov 20 2005 Orion Poplawski <orion@cora.nwra.com> - 0.7.0-0.rc1
- New upstream version 0.7.0rc1
- Remove desktop patch fixed upstream
- Add patch to remove X11 checks from configure

* Fri Nov  4 2005 Orion Poplawski <orion@cora.nwra.com> - 0.6.3-2
- Make use of buildroot consistant
- Just BuildRequires the "desktop-file-utils" package
- Add post/postun update-desktop-database and gtk-update-icon-cache
- Add Application Category tag to desktop file

* Thu Nov  3 2005 Orion Poplawski <orion@cora.nwra.com> - 0.6.3-1
- Initial Fedora Extras release
